Bug 1278005 - kernel: non-limited printk warning in security/selinux/hooks.c
Summary: kernel: non-limited printk warning in security/selinux/hooks.c
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1273909
TreeView+ depends on / blocked
 
Reported: 2015-11-04 14:23 UTC by Vladis Dronov
Modified: 2021-02-17 04:44 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 15:41:57 UTC


Attachments (Terms of Use)

Description Vladis Dronov 2015-11-04 14:23:51 UTC
It was found that the kernel produces unlimited number of warning messages in case certain malformed NETLINK packets are received. A local, unprivileged user could generate such packets unlimitedly and potentially flood the kernel and the system log with excessive warning messages.

Acknowledgements:

This issue was discovered by Florian Weimer of Red Hat.

Comment 2 Vladis Dronov 2015-11-04 15:25:32 UTC
Statement:

This problem does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 and MRG-2. This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7.

This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 4 Petr Matousek 2015-11-04 15:55:34 UTC
Upstream patch submission:

http://article.gmane.org/gmane.linux.kernel.lsm/25958

Comment 5 Vladis Dronov 2015-11-13 14:23:48 UTC
Upstream patch version next submission:

http://article.gmane.org/gmane.linux.kernel.lsm/25996


Note You need to log in before you can comment on or make changes to this bug.